Retrieve orders by advisor group

​

Retrieve orders by advisor group

Path Parameters

  • Advisor group.

Query Parameters

  • Parameter to filter orders.

    values
    • AllOrdersWithRemainingVolumeValuePercentage
    • ActiveOrdersWithRemainingVolumeValuePercentageAndOrAnyOrdersTradedToday
    • AllOrdersForTheLast3Days
    • ActiveOrdersWithRemainingVolumeValuePercentageAndOrAnyParentOrdersTradedToday
    • AllActiveOrders
    • AllOrdersForTodayAndYesterday
    • AllOrdersForToday
    • PurgedAtRiskOrdersForTodayAndPreviousTradingDay
  • Whether or not to retrieve child orders.

Headers

  • The unique identifier of the request. This will be used for identifying the request using updates. It is recommended that this be set to a globally unique identifier (GUID), 64 characters maximum.

  • Whether to start watching for updates if the method supports updates. The default is false.

Responses

  • application/json
Request Example for get/orders/by-advisor-group/{advisorGroup}/v4
curl 'https://test-oms-api.openmarkets.com.au/orders/by-advisor-group/123456/v4?orderFilter=AllActiveOrders&includeChildOrders=true' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "rootParentOrderNumber": 41156644,
    "orderNumber": 41156644,
    "parentOrderNumber": 0,
    "accountCode": "111888",
    "securityCode": "CBA",
    "exchange": "ASX",
    "destination": "FIXED CO",
    "subDestination": null,
    "pricingInstructions": "Limit",
    "orderState": "ACTIVE",
    "lastAction": "CREATE",
    "actionStatus": "AUTHORISING",
    "orderVolume": 10,
    "orderPrice": 7240,
    "remainingVolume": 10,
    "doneVolumeTotal": 0,
    "doneValueTotal": 0,
    "uncommittedVolume": 0,
    "averagePrice": 0,
    "lifetime": "Date",
    "currency": "AUD",
    "expiryDateTime": "2018-05-29T20:00:00",
    "doneVolumeToday": 0,
    "doneValueToday": 0,
    "stateDescription": "Order pending vetting",
    "createDateTime": "2018-03-27T16:35:39.99",
    "updateDateTime": "2018-04-03T04:00:00.4",
    "destinationVolume": 0,
    "destinationPrice": 0,
    "destinationStatus": null,
    "destinationOrderNumber": "61A09181:0001E194",
    "principal": false,
    "orderMatchId": null,
    "marketDataOrderNumber": null,
    "side": "Buy",
    "effectiveDoneVolume": 0,
    "priceMultiplier": 0.01,
    "settlementDoneValueTotal": 0,
    "settlementDoneValueToday": 0,
    "settlementAveragePrice": 0,
    "clientSequenceNumber": 1,
    "marketDetail": "TM|7034782601189646740",
    "postTradeStatus": "PartialFill",
    "estimatedPrice": 7240,
    "orderValue": null,
    "advisorCode": "SSD",
    "estimatedVolume": 10,
    "estimatedValue": 724,
    "notes": "CUST-35bd9318-74fc-4ea4-9bdc-593f8510b780",
    "dataFields": {
      "fixedContingentOrder.triggerSecurity": "BHP.ASX",
      "fixedContingentOrder.contingentOrderStatus": "Active",
      "fixedContingentOrder.triggerPriceType": "Last",
      "fixedContingentOrder.triggerPrice": "5000",
      "fixedContingentOrder.triggerCondition": "Greater",
      "brokerageOverride.schedule": "NIL",
      "brokerageOverride.minimum": "49.95",
      "originOfOrder": "trader01"
    },
    "orderGiver": null,
    "orderTaker": null
  }
]